<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Statue_books_sale_report extends REF_Controller {
    public function __construct() {
        parent::__construct();
        $this->load->library('upload');
        $this->load->model('reports/statue_books_sale_report_model', '', TRUE);
        $this->uri_key_index = 0;
    }
    
    public function index() {
        $data = array();
       
        if (!empty($this->session->flashdata('success'))) 
            $data['success'] = $this->session->flashdata('success');
        else 
            $data['error'] = $this->session->flashdata('error');
        
        if((!empty($this->input->post('submit'))) && ($this->input->post('submit') == 'Get Data' || $this->input->post('submit') == 'Print Data')) {
            $start_date = $this->input->post('start_date');
            $end_date = $this->input->post('end_date');
            $category_id = $this->input->post('category_id');
            $item_id = $this->input->post('item_id');
        } else {
            $start_date = '';
            $end_date = '';
            $category_id = '';
            $item_id = '';
        }
        $data['results'] = $this->statue_books_sale_report_model->get_data($start_date,$end_date,$category_id,$item_id);
        $data['start_date'] = $start_date;
        $data['end_date'] = $end_date;
        $data['category_id'] = $category_id;
        $data['item_id'] = $item_id;
        $data['category'] = $this->statue_books_sale_report_model->list_category();
        $data['item'] = $this->statue_books_sale_report_model->list_cat_item($category_id);
        $actions = $this->actions();
        $data['form_action'] = 'statue_books_sale_report';
        $data['title'] = 'Statue and Books Sales Report';
        
        $filters = array();
        if(!empty($this->input->post('filter_columns'))) {
            foreach($this->input->post('filter_columns') as $key=>$value) {
                array_push($filters,$this->input->post($value));
            } 
        }
        $data['filters'] = array_filter($filters);
        
        if($this->input->post('submit') == 'Print Data'){
            if( IS_KSK ) :
                $html = $this->load->view('reports/statue_books_sale/pdf', $data, TRUE);
                print_rec($html);
                redirect('statue_books_sale_report','refresh');
            else :
                $this->render($data, 'reports/statue_books_sale/pdf');
            endif;
        } else {
            $this->render($data, 'reports/statue_books_sale/list');
        }
    }
     
    public function get_item_by_category(){
        $data['get_data'] =  $this->statue_books_sale_report_model->list_cat_item($_POST['category_id']);
        echo json_encode($data);
        exit(0);
    }
   
} ?>

